❖ MatchMove Banking API Specifications

Sections

Theme switcher

Create/Re-activate user

Header Parameters

X-Auth-User-IPstring

The IP using which the actor is making the request

X-Auth-Device-IDstring

The unique id of the device using which the actor is making the request

X-Auth-User-Agentstring

The user agent of the device using which the actor is making the request

X-Auth-Actorstring Required

The actor on behalf of whom the API request is being performed

Path Parameters

program_codestring Required

Unique identifier for your program, issued by MatchMove during onboarding. All requests must use the program_code assigned to your integration. Using a program_code that does not belong to your integration will result in an authorization error.

Body Parameters

idstring
first_namestring

First name or given name

Max length
50
last_namestring

Last name or family name

Max length
50
middle_namestring

User Middle name

Max length
50
preferred_namestring

Prefereed name

Max length
25
emailstring

Registration email for the user to be created in the MatchMove system for a particular program.

mobile_country_codestring

Supported Country codes for the program can be retrieved from GET /users/enumerations/mobile_country_codes

passwordstring

Minimum 8 Characters , One special character , One number , One small character

mobilestring

Mobile number of the user

titlestring

Title to be set like mr/miss etc

Enum values:
MrMissDrMrsMadam
id_typestring

Id type to be set. Available values can be retrieved from GET /users/enumerations/id_types

id_numberstring

Id number to be unique

id_date_expirystring

Id type expiry date in standard date format

id_date_issuestring

Issued date of id type in standard date format

country_of_issuestring

Country that issued your id type. Supported values can be retrieved from GET /users/enumerations/countries

alt_id_typestring

alternative id type

alt_id_numberstring

Alternative id type number to be unique

alt_id_date_expirystring

Alternative id type expiry date in standard date format

alt_id_date_issuestring

Alternative id type issued date in standard date format

alt_id_country_of_issuestring

Alternative Id type issuance country

birthdaystring

Birthday of the user registered in matchmove system in standard date format

place_of_birthstring

Place where you have born

nationalitystring

User Nationality. Supported values can be retrieved from GET /users/enumerations/nationalities

genderstring

User Gender. Supported values can be retreived from GET /users/enumerations/genders

marital_statusstring

User marital Status. Supported values can be retreived from GET /users/enumerations/marital_status

mothers_maiden_namestring

Mother's maiden name

mothers_first_namestring

Mother's first name. Supported values must be letters and spaces

Max length
50
mothers_last_namestring

Mother's last name. Supported values must be letters and spaces

Max length
50
nature_of_businessstring

Nature of your business

customer_idstring

Customer id to be passed

Max length
50
purpose_of_accountstring

Purpose of your account

partner_idstring

Partner id to be passed

Max length
50
client_reference_idstring

Client Reference ID to be passed

Max length
50
agent_idstring

Agent ID to be passed

Max length
50
employer_namestring

Employer Name to be passed

Max length
50
employment_typestring

User Employment Type. Supported values can be retreived from GET /users/enumerations/employment_type

Max length
100
source_of_fundsstring

Source of Funds to be passed

Max length
100
occupationstring

User Occupation. Supported values can be retreived from GET /users/enumerations/occupation

Max length
100
volume_of_assetsstring

Volume of Assets. Supported values can be retreived from GET /users/enumerations/volume_of_assets

Max length
100

Response

200
Object

OK

Response Attributes

idstring Required
Pattern
^[a-zA-Z0-9]*
readOnly
emailstring Required

Registration email for the user to be created in the MatchMove system for a particular program.

nameobject Required

User Name Object

mobileobject Required
identificationobject
countryofissuestring | null

Country of issue of registration documents for the users in the MatchMove system

country_of_issuestring | null

Country of issue of registration documents for the users in the MatchMove system

country_code_of_issuestring | null

Country of issue of registration documents for the users in the MatchMove system

birthdaystring | null

Birthday of the user registered in the MatchMove system. The value is expected to match the value provided in documents for the KYC process.

place_of_birthstring
genderstring | null
nationalitystring
titlestring
marital_statusstring
mothers_maiden_namestring
mothers_first_namestring

Mother's first name

mothers_last_namestring

Mother's last name

customer_idstring | null
statusobject Required
dateobject Required
partner_idstring | null
risk_assessment_statusstring

Risk Evaluation of the User

Enum values:
PENDINGIN_PROCESSCLEAREDREJECTED
client_reference_idstring | null
agent_idstring | null
customer_bank_referencestring | null
employer_namestring | null

Employer name for the users in the MatchMove system

employment_typestring | null

Employment type for the users in the MatchMove system. Supported values can be retreived from GET /users/enumerations/employment_type

source_of_fundsstring | null

Source of funds for user in MatchMove System

occupationstring | null

Occupation for user in MatchMove System. Supported values can be retreived from GET /users/enumerations/occupation

volume_of_assetsstring | null

Volume of Assets for the users in the MatchMove system. Supported values can be retreived from GET /users/enumerations/volume_of_assets

linksarray
400
Object

Bad Request The response code field indicates which specific rule was violated. Possible error codes:

  • invalid_payload — Malformed form/JSON request body
  • invalid_model — Missing required fields in the request
  • validation_error — One or more request fields failed schema/business validation on create
  • invalid_required_request_parameters — Required request parameters are missing on create
  • customer_information_duplicate_error — Duplicate customer information (email/mobile/identification already in use) on create
  • resource_user_id_invalid — The supplied user id is in an invalid format or not found (reactivation)
  • user_already_activated — Cannot activate an already active user (reactivation)
  • resource_user_reactivation_not_allowed — User reactivation is not allowed for the current status (reactivation)

Response Attributes

idstring Required

Unique request ID for the API request

statusnumber Required

HTTP response code for the API request

codestring Required

MatchMove generated error code for the API request

titlestring Required

MatchMove generated title for the error code

detailstring Required

Details for the error code

descriptionstring

Details for the error code

sourcearray | null

Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons

timestampstring Required

Timestamp for the processed API

401
Object

Unauthorized The response code field indicates the authentication failure.

Possible error codes:

  • access_denied — Access is denied for this resource

Response Attributes

idstring Required

Unique request ID for the API request

statusnumber Required

HTTP response code for the API request

codestring Required

MatchMove generated error code for the API request

titlestring Required

MatchMove generated title for the error code

detailstring Required

Details for the error code

descriptionstring

Details for the error code

sourcearray | null

Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons

timestampstring Required

Timestamp for the processed API

403
Object

Forbidden The response code field indicates which specific rule was violated. Possible error codes:

  • unauthorized_action — The consumer scope is not allowed to access this resource
  • restricted_resource — This V1 route is blocked for the current program_code
  • user_blocked_risk_threshold_exceeded — The user is risk-flagged/rejected and reactivation is disallowed
  • resource_user_already_terminated — The user is already blocked and the status cannot be updated (reactivation)
  • resource_user_conflict_email_restore — Cannot restore user, an active email already exists (reactivation)
  • resource_user_conflict_mobile_restore — Cannot restore user, an active mobile already exists (reactivation)

Response Attributes

idstring Required

Unique request ID for the API request

statusnumber Required

HTTP response code for the API request

codestring Required

MatchMove generated error code for the API request

titlestring Required

MatchMove generated title for the error code

detailstring Required

Details for the error code

descriptionstring

Details for the error code

sourcearray | null

Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons

timestampstring Required

Timestamp for the processed API

404
Object

Not Found The response code field indicates the missing resource.

Possible error codes:

  • route_not_defined — Missing auth definition on the given route

Response Attributes

idstring Required

Unique request ID for the API request

statusnumber Required

HTTP response code for the API request

codestring Required

MatchMove generated error code for the API request

titlestring Required

MatchMove generated title for the error code

detailstring Required

Details for the error code

descriptionstring

Details for the error code

sourcearray | null

Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons

timestampstring Required

Timestamp for the processed API

500
Object

Internal Server Error The response code field indicates the failure category.

Possible error codes:

  • request_fatal_internal — Fatal service error
  • internal_server_error — Unclassified error returned by the upstream KYC service

Response Attributes

idstring Required

Unique request ID for the API request

statusnumber Required

HTTP response code for the API request

codestring Required

MatchMove generated error code for the API request

titlestring Required

MatchMove generated title for the error code

detailstring Required

Details for the error code

descriptionstring

Details for the error code

sourcearray | null

Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons

timestampstring Required

Timestamp for the processed API

501
Object

Not Implemented

Response Attributes

idstring Required

Unique request ID for the API request

statusnumber Required

HTTP response code for the API request

codestring Required

MatchMove generated error code for the API request

titlestring Required

MatchMove generated title for the error code

detailstring Required

Details for the error code

descriptionstring

Details for the error code

sourcearray | null

Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons

timestampstring Required

Timestamp for the processed API

502
Object

Bad Gateway

Response Attributes

idstring Required

Unique request ID for the API request

statusnumber Required

HTTP response code for the API request

codestring Required

MatchMove generated error code for the API request

titlestring Required

MatchMove generated title for the error code

detailstring Required

Details for the error code

descriptionstring

Details for the error code

sourcearray | null

Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons

timestampstring Required

Timestamp for the processed API

503
Object

Service Unavailable

Response Attributes

idstring Required

Unique request ID for the API request

statusnumber Required

HTTP response code for the API request

codestring Required

MatchMove generated error code for the API request

titlestring Required

MatchMove generated title for the error code

detailstring Required

Details for the error code

descriptionstring

Details for the error code

sourcearray | null

Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons

timestampstring Required

Timestamp for the processed API

504
Object

Gateway Timeout

Response Attributes

idstring Required

Unique request ID for the API request

statusnumber Required

HTTP response code for the API request

codestring Required

MatchMove generated error code for the API request

titlestring Required

MatchMove generated title for the error code

detailstring Required

Details for the error code

descriptionstring

Details for the error code

sourcearray | null

Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons

timestampstring Required

Timestamp for the processed API

Was this section helpful?

POST

/

Select
1

Response

Was this section helpful?